#!/bin/sh
params1=$1
command=$(cat updowncommand.txt)
echo 'command:'$command
if [ -z "$params1" ]; then
command="start"
echo 'command reset value:' $command
fi
if [  "$params1" = "stop" ]; then
command="stop"
echo 'command params value:' $command
fi
nginxConf="/${nginxConfigName}"
nginxPath="/usr/local/nginx/"
startPath=$nginxPath'conf/conf.d.start'
startConf=$startPath$nginxConf
stopPath=$nginxPath'conf/conf.d.stop'
stopConf=$stopPath$nginxConf
echo 'startConf:'$startConf
if [ "$command" = "stop" ]; then
echo 'test'
if [ -e "$startConf" ]; then
echo 'copy to stop file'
mv $startConf $stopPath
fi
fi

if [ "$command" != "stop" ]; then
if [ -e "$stopConf" ]; then
echo 'copy to start file'
mv $stopConf $startPath
fi
cd ${deployPath}
rm -rf dist
rm -rf static
rm -rf vue-permission/static
unzip dist*.zip
cp -r dist/static static
cp -r dist/static vue-permission/static


fi

pid_file=$nginxPath"logs/nginx.pid"

if [ ! -e "$pid_file" ]; then
/usr/local/nginx/sbin/nginx
fi

if [ -e "$pid_file" ]; then
/usr/local/nginx/sbin/nginx -s reload
fi
